classification
Title: zipfile.Path has the wrong method name
Type: behavior Stage: resolved
Components: Documentation Versions: Python 3.9, Python 3.8
process
Status: closed Resolution: fixed
Dependencies: Superseder:
Assigned To: docs@python Nosy List: docs@python, jaraco, miss-islington, tritium, xtreak
Priority: normal Keywords: patch

Created on 2019-10-19 11:47 by tritium, last changed 2019-11-22 04:50 by xtreak. This issue is now closed.

Pull Requests
URL Status Linked Edit
PR 17317 merged Claudiu.Popa, 2019-11-21 10:17
PR 17329 merged miss-islington, 2019-11-21 21:34
Messages (5)
msg354936 - (view) Author: Alex Walters (tritium) * Date: 2019-10-19 11:47
https://docs.python.org/3.8/library/zipfile.html#zipfile.Path.listdir

The docs for zipfile.Path list a method named 'listdir', the closest approximation to the functionality described in the actual code is a method named 'iterdir'
msg354937 - (view) Author: Karthikeyan Singaravelan (xtreak) * (Python committer) Date: 2019-10-19 12:56
This looks like a valid issue to me. The docs were added with issue36832.
msg357218 - (view) Author: Jason R. Coombs (jaraco) * (Python committer) Date: 2019-11-21 21:23
New changeset 65444cf7fe84d8ca1f9b51c7f5992210751e08bb by Jason R. Coombs (Claudiu Popa) in branch 'master':
bpo-38526: Fix zipfile.Path method name to be the correct one (#17317)
https://github.com/python/cpython/commit/65444cf7fe84d8ca1f9b51c7f5992210751e08bb
msg357221 - (view) Author: miss-islington (miss-islington) Date: 2019-11-21 21:41
New changeset 107ed88cde3ae6f1cb01ae75575ea0f92c138464 by Miss Islington (bot) in branch '3.8':
bpo-38526: Fix zipfile.Path method name to be the correct one (GH-17317)
https://github.com/python/cpython/commit/107ed88cde3ae6f1cb01ae75575ea0f92c138464
msg357244 - (view) Author: Karthikeyan Singaravelan (xtreak) * (Python committer) Date: 2019-11-22 04:50
Closing as fixed since PRs are merged. Thanks Alex for the report and @Claudiu.Popa for the patch.
History
Date User Action Args
2019-11-22 04:50:14xtreaksetstatus: open -> closed
resolution: fixed
messages: + msg357244

stage: patch review -> resolved
2019-11-21 21:41:26miss-islingtonsetnosy: + miss-islington
messages: + msg357221
2019-11-21 21:34:38miss-islingtonsetpull_requests: + pull_request16816
2019-11-21 21:23:19jaracosetmessages: + msg357218
2019-11-21 10:17:06Claudiu.Popasetkeywords: + patch
stage: patch review
pull_requests: + pull_request16804
2019-10-19 12:56:25xtreaksetversions: + Python 3.9
nosy: + jaraco, xtreak

messages: + msg354937

type: behavior
2019-10-19 11:47:18tritiumcreate